Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkTextureMapToCylinder Class Reference

`#include <vtkTextureMapToCylinder.h>`

Inheritance diagram for vtkTextureMapToCylinder:

[legend]
Collaboration diagram for vtkTextureMapToCylinder:

[legend]
List of all members.

## Detailed Description

generate texture coordinates by mapping points to cylinder

Date:
  2002/01/22 15:29:51

Revision:
  1.28

vtkTextureMapToCylinder is a filter that generates 2D texture coordinates by mapping input dataset points onto a cylinder. The cylinder can either be user specified or generated automatically. (The cylinder is generated automatically by computing the axis of the cylinder.) Note that the generated texture coordinates for the s-coordinate ranges from (0-1) (corresponding to angle of 0->360 around axis), while the mapping of the t-coordinate is controlled by the projection of points along the axis.

To specify a cylinder manually, you must provide two points that define the axis of the cylinder. The length of the axis will affect the t-coordinates.

A special ivar controls how the s-coordinate is generated. If PreventSeam is set to true, the s-texture varies from 0->1 and then 1->0 (corresponding to angles of 0->180 and 180->360).

Warning:
  Since the resulting texture s-coordinate will lie between (0,1), and the origin of the texture coordinates is not user-controllable, you may want to use the class vtkTransformTexture to linearly scale and shift the origin of the texture coordinates.

See also:
  vtkTextureMapToPlane vtkTextureMapToSphere vtkTextureMapToBox vtkTransformTexture vtkThresholdTextureCoords

Created by:
  - Schroeder, Will

CVS contributions (if > 5%):
  - Schroeder, Will (71%)
  - Martin, Ken (11%)

CVS logs (CVSweb):
  - .`cxx` (`/Graphics/vtkTextureMapToCylinder.cxx)`
  - .`h` (`/Graphics/vtkTextureMapToCylinder.h)`

Examples:
  vtkTextureMapToCylinder (Examples)

Tests:
  vtkTextureMapToCylinder (Tests)

Definition at line 71 of file vtkTextureMapToCylinder.h.

## Public Types
typedef vtkDataSetToDataSetFilter | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | SetPoint1 (float, float, float)
virtual void | SetPoint1 (float[3])
virtual float * | GetPoint1 ()
virtual void | GetPoint1 (float data[3])
virtual void | SetPoint2 (float, float, float)
virtual void | SetPoint2 (float[3])
virtual float * | GetPoint2 ()
virtual void | GetPoint2 (float data[3])
virtual void | SetAutomaticCylinderGeneration (int)
virtual int | GetAutomaticCylinderGeneration ()
virtual void | AutomaticCylinderGenerationOn ()
virtual void | AutomaticCylinderGenerationOff ()
virtual void | SetPreventSeam (int)
virtual int | GetPreventSeam ()
virtual void | PreventSeamOn ()
virtual void | PreventSeamOff ()
## Static Public Methods
int | IsTypeOf (const char *type)
vtkTextureMapToCylinder * | SafeDownCast (vtkObject *o)
vtkTextureMapToCylinder * | New ()
## Protected Methods
| vtkTextureMapToCylinder ()
| ~vtkTextureMapToCylinder ()
void | Execute ()
## Protected Attributes
float | Point1 [3]
float | Point2 [3]
int | AutomaticCylinderGeneration
int | PreventSeam

## Member Typedef Documentation

typedef vtkDataSetToDataSetFilter vtkTextureMapToCylinder::Superclass

| Reimplemented from vtkDataSetToDataSetFilter. Definition at line 74 of file vtkTextureMapToCylinder.h.

## Constructor & Destructor Documentation

vtkTextureMapToCylinder::vtkTextureMapToCylinder | ( |  | ) | `[protected]`

vtkTextureMapToCylinder::~vtkTextureMapToCylinder | ( |  | ) | `[inline, protected]`

| Definition at line 114 of file vtkTextureMapToCylinder.h.

## Member Function Documentation

virtual const char* vtkTextureMapToCylinder::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkDataSetToDataSetFilter.

int vtkTextureMapToCylinder::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkDataSetToDataSetFilter.

virtual int vtkTextureMapToCylinder::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkDataSetToDataSetFilter.

vtkTextureMapToCylinder* vtkTextureMapToCylinder::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkDataSetToDataSetFilter.

void vtkTextureMapToCylinder::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkDataSetToDataSetFilter.

vtkTextureMapToCylinder* vtkTextureMapToCylinder::New | ( |  | ) | `[static]`

| Create object with cylinder axis parallel to z-axis (points (0,0,-0.5) and (0,0,0.5)). The PreventSeam ivar is set to true. The cylinder is automatically generated. Reimplemented from vtkObject.

virtual void vtkTextureMapToCylinder::SetPoint1 | ( | float | ,
|  | float | ,
|  | float |
| ) | `[virtual]`

| Specify the first point defining the cylinder axis,

virtual void vtkTextureMapToCylinder::SetPoint1 | ( | float | [3] | ) | `[virtual]`

| Specify the first point defining the cylinder axis,

virtual float* vtkTextureMapToCylinder::GetPoint1 | ( |  | ) | `[virtual]`

| Specify the first point defining the cylinder axis,

virtual void vtkTextureMapToCylinder::GetPoint1 | ( | float | data[3] | ) | `[virtual]`

| Specify the first point defining the cylinder axis,

virtual void vtkTextureMapToCylinder::SetPoint2 | ( | float | ,
|  | float | ,
|  | float |
| ) | `[virtual]`

| Specify the second point defining the cylinder axis,

virtual void vtkTextureMapToCylinder::SetPoint2 | ( | float | [3] | ) | `[virtual]`

| Specify the second point defining the cylinder axis,

virtual float* vtkTextureMapToCylinder::GetPoint2 | ( |  | ) | `[virtual]`

| Specify the second point defining the cylinder axis,

virtual void vtkTextureMapToCylinder::GetPoint2 | ( | float | data[3] | ) | `[virtual]`

| Specify the second point defining the cylinder axis,

virtual void vtkTextureMapToCylinder::SetAutomaticCylinderGeneration | ( | int |  | ) | `[virtual]`

| Turn on/off automatic cylinder generation. This means it automatically finds the cylinder center and axis.

virtual int vtkTextureMapToCylinder::GetAutomaticCylinderGeneration | ( |  | ) | `[virtual]`

| Turn on/off automatic cylinder generation. This means it automatically finds the cylinder center and axis.

virtual void vtkTextureMapToCylinder::AutomaticCylinderGenerationOn | ( |  | ) | `[virtual]`

| Turn on/off automatic cylinder generation. This means it automatically finds the cylinder center and axis.

virtual void vtkTextureMapToCylinder::AutomaticCylinderGenerationOff | ( |  | ) | `[virtual]`

| Turn on/off automatic cylinder generation. This means it automatically finds the cylinder center and axis.

virtual void vtkTextureMapToCylinder::SetPreventSeam | ( | int |  | ) | `[virtual]`

| Control how the texture coordinates are generated. If PreventSeam is set, the s-coordinate ranges from 0->1 and 1->0 corresponding to the angle variation from 0->180 and 180->0. Otherwise, the s-coordinate ranges from 0->1 from 0->360 degrees.

virtual int vtkTextureMapToCylinder::GetPreventSeam | ( |  | ) | `[virtual]`

| Control how the texture coordinates are generated. If PreventSeam is set, the s-coordinate ranges from 0->1 and 1->0 corresponding to the angle variation from 0->180 and 180->0. Otherwise, the s-coordinate ranges from 0->1 from 0->360 degrees.

virtual void vtkTextureMapToCylinder::PreventSeamOn | ( |  | ) | `[virtual]`

| Control how the texture coordinates are generated. If PreventSeam is set, the s-coordinate ranges from 0->1 and 1->0 corresponding to the angle variation from 0->180 and 180->0. Otherwise, the s-coordinate ranges from 0->1 from 0->360 degrees.

virtual void vtkTextureMapToCylinder::PreventSeamOff | ( |  | ) | `[virtual]`

| Control how the texture coordinates are generated. If PreventSeam is set, the s-coordinate ranges from 0->1 and 1->0 corresponding to the angle variation from 0->180 and 180->0. Otherwise, the s-coordinate ranges from 0->1 from 0->360 degrees.

void vtkTextureMapToCylinder::Execute | ( |  | ) | `[protected, virtual]`

| This method is the old style execute method Reimplemented from vtkSource.

## Member Data Documentation

float vtkTextureMapToCylinder::Point1[3]`[protected]`

| Definition at line 118 of file vtkTextureMapToCylinder.h.

float vtkTextureMapToCylinder::Point2[3]`[protected]`

| Definition at line 119 of file vtkTextureMapToCylinder.h.

int vtkTextureMapToCylinder::AutomaticCylinderGeneration`[protected]`

| Definition at line 120 of file vtkTextureMapToCylinder.h.

int vtkTextureMapToCylinder::PreventSeam`[protected]`

| Definition at line 121 of file vtkTextureMapToCylinder.h.

The documentation for this class was generated from the following file:

- Graphics/vtkTextureMapToCylinder.h